Terminology=Terminology or {}
Hooks:Add("OnCommanderInit", "TerminologyToolChain", function()
	if not Commander then return end -- this should never happen but just in case
	Commander:Register("tscan",function(arg1)
		if not arg1 then return "Not a statement" end
		local _t=loadstring("return "..arg1)()
		if _t and type(_t)=="table" then
			Commander:write("Contents of table "..arg1)
			for i,v in pairs(_t) do
				Commander:write(tostring(i)..": "..tostring(v))
			end
		elseif _t then
			return "Invalid type: "..type(_t)
		else return "Invalid statement"
		end
	end)
	Commander:Register("tlog",function(arg1)
		if not arg1 then return "Not a statement" end
		local _t=loadstring("return "..arg1)()
		if _t and type(_t)=="table" then
			log("Contents of table "..arg1)
			for i,v in pairs(_t) do
				log(tostring(i)..": "..tostring(v))
			end
			Commander:write("Table info written to log.")
		elseif _t then
			return "Invalid type: "..type(_t)
		else return "Invalid statement"
		end
	end)
	Commander:Register("hint",function(arg1)
		if arg1 then
			arg1=tostring(arg1)
			managers.hud:show_hint({text=arg1})
		end
	end)
	Commander:Register("log",function(arg1)
		if arg1 then
			arg1=tostring(arg1)
			log(arg1)
		end
	end)
	Commander:Register("kick",function(arg1)
		if arg1 then
			local session = managers.network:session()
			if not session then return "Error: Not a network session" end
			for i = 0, 4 do
				local peer = session:peer(i)
				if peer and string.find(peer:name(),arg1) then
					Commander:write("Kicking "..tostring(peer:name()))
					Terminology:kickbypeer(i)
				elseif not peer then
				elseif peer then
				end
			end
		end
	end)
	Commander:Register("note",function(arg1)
		if arg1 then
			Commander.data_note=arg1
			Commander:write("Note set.")
		else
			Commander:write("Note: "..tostring(Commander.data_note))
		end
	end)
	Commander:Register("getstate",function()
		return managers.player:current_state()
	end)
end)
